Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class NotActiveException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.io.ObjectStreamException
                      java.io.NotActiveException

All Implemented Interfaces:
  Serializable

    public class NotActiveException

extends ObjectStreamException

Thrown when serialization or deserialization is not active.

Since:
  JDK1.1
See Also:
  Serialized Form

Constructor Summary
`NotActiveException()` Constructor to create a new NotActiveException without a reason.
`NotActiveException(String reason)` Constructor to create a new NotActiveException with the reason given.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotActiveException

    public NotActiveException(String reason)

  Constructor to create a new NotActiveException with the reason given.

  Parameters:
    `reason` - a String describing the reason for the exception.

### NotActiveException

    public NotActiveException()

  Constructor to create a new NotActiveException without a reason.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.